Bug 497182 - [LTC 6.0 FEAT] Tunable sched_mc_powersavings=n framework [201924]
[LTC 6.0 FEAT] Tunable sched_mc_powersavings=n framework [201924]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All All
low Severity high
: rc
: 6.0
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On:
Blocks: 356741 525727 554559 555224
  Show dependency treegraph
 
Reported: 2009-04-22 13:30 EDT by IBM Bug Proxy
Modified: 2010-07-12 08:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 08:34:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 52943 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-04-22 13:30:50 EDT
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201924]
a. Name of Feature:	Tunable sched_mc_powersavings=n framework
b. Feature Description
The existing power saving loadbalancer CONFIG_SCHED_MC attempts to run the workload in the system on
minimum number of CPU packages and tries to keep rest of the CPU packages idle for longer duration.
Thus consolidating workloads to fewer packages help other packages to be in idle state and save
power.  The current implementation is very conservative and does not work effectively across
different workloads.
 
Tunable sched_mc_power_savings=n is proposed to enable tuning of the power saving load balancer
based on the system configuration, workload characteristics and end user requirements.
 
The power savings and performance of the given workload in an underutilised system can be controlled
by setting values of 0,  1 or 2 to /sys/devices/system/cpu/sched_mc_power_savings with 0 being
highest performance and least power savings and level 2 indicating maximum power savings even at the
cost of slight performance degradation.

2. Feature Details:
Sponsor:	Linux Systems Tech
Architectures:
ppc64
s390x

Arch Specificity: Purely Common Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	Patch and discussions: http://lkml.org/lkml/2008/12/18/229
 Code in mainline 2.6.29 Commits:
 http://git.kernel.org/gitweb.cgi?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=afb8a9b70b86866a60e08b2956ae4e1406390336
 
 Linux tree Commit IDs
 716707b29906e1d8d190defe3d646610b097a861
 100fdaee70ebf5f31b9451fbc01300c627091328
 9924da434a13668fceb208d56dbdf86d166862cc
 36dffab679c7eeb91c2507400cf4da6e9e01164e
 da8d5089da6dfd54e5fd05d0c291a63c2bcf6885

3. Business Case
Better utilization of Energy Management for customers so they can control their operating costs better

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):

Vaidyanathan Srinivasan, svaidyan@in.ibm.com

IBM Manager:
Jeffrey Heroux, heroux@us.ibm.com
Comment 1 Bill Nottingham 2009-04-23 11:49:18 EDT
Given it's in 2.6.29, setting as MODIFIED.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 John Jarvis 2009-10-15 10:55:35 EDT
IBM is signed up to test and provide feedback
Comment 4 IBM Bug Proxy 2010-05-10 13:31:00 EDT
------- Comment From arunbharadwaj@in.ibm.com 2010-05-10 13:22 EDT-------
This feature had developed a couple of bugs which were fixed in https://bugzilla.linux.ibm.com/show_bug.cgi?id=61165

I have verified that, now this feature is functionally working.
Comment 5 IBM Bug Proxy 2010-06-07 07:23:07 EDT
------- Comment From arunbharadwaj@in.ibm.com 2010-06-07 07:01 EDT-------
The above comment is w.r.t verification on RHEL 6 snapshot 1
Comment 6 Chris Ward 2010-07-12 08:34:42 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. One or more confirmation reports have already been received confirming this. This report is therefore being closed with a resolution of CURRENTRELEASE. You may reopen this bug report if the solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.